#!/bin/sh -efu

. install2-init-functions

DOMAINNAME="${DOMAINNAME:-}"
DNS_SERVER="${DNS_SERVER:-}"
DNS_SERVER2="${DNS_SERVER2:-}"
IPADDR="${IPADDR:-}"
HOSTNAME="${HOSTNAME:-}"

# Rewrite resolv.conf
{
[ -z "$DOMAINNAME" ]  || printf '%s\n' "search $DOMAINNAME"
[ -z "$DNS_SERVER" ]  || printf '%s\n' "nameserver $DNS_SERVER"
[ -z "$DNS_SERVER2" ] || printf '%s\n' "nameserver $DNS_SERVER2"
} > /etc/resolv.conf

# Bring up lo interface
ip link set dev lo up

# Rewrite hosts
{
echo '127.0.0.1 localhost.localdomain localhost'
[ -z "$IPADDR" -o -z "$HOSTNAME" ] ||
	printf '%s\n' "$IPADDR $HOSTNAME${DOMAINNAME:+.$DOMAINNAME $HOSTNAME}"
} >/etc/hosts ||:

# Defuse libnss-myhostname
sed -i 's,myhostname ,,' /etc/nsswitch.conf

[ ! -x '/sbin/update_chrooted' ] || /sbin/update_chrooted all
