#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

# force 96 DPI if need
for d in $(cat /proc/cmdline); do
  if [ "$d" == "xorg96dpi" ] ; then
    mkdir -p /etc/X11/xorg.conf.d/
    cat >/etc/X11/xorg.conf.d/00-96dpi.conf <<__EOF__
Section "ServerFlags"
        Option "DontForce96DPI" "false"
EndSection
__EOF__
    break
  else
    continue
  fi
done

xdriver=
for d in $(cat /proc/cmdline); do
  [ -z "${d##xdriver=*}" ] || continue
  echo "Configuring Xorg server using xdriver=$xdriver"
  xdriver="${d#xdriver=}"
done

# modern xorg doesn't need that much configuration
[ -n "$xdriver" ] || exit 0

XORG_CONF="/etc/X11/xorg.conf"
xorg_conf_setup $xdriver "$XORG_CONF"
