#!/bin/sh -efu

. install2-init-functions

# List installer specific packages in installed system
list="$(exec_chroot rpmquery -a 'installer*' 'branding-*-slideshow')"

# Add livecd packages
list="$list $(exec_chroot rpmquery -a 'livecd*')"

# Add alterator-vm, libevms (actual for live)
list="$list $(exec_chroot rpmquery -a 'alterator-vm')"
list="$list $(exec_chroot rpmquery -a 'guile-evms')"
list="$list $(exec_chroot rpmquery -a 'libevms')"
list="$list $(exec_chroot rpmquery -a 'volumes-profile-*')"

# Add x11vnc, if the package was not installed by the installer (actual for live)
grep -q x11vnc /tmp/pkg-install.log || 
	list="$list $(exec_chroot rpmquery -a 'x11vnc')"

# Add alterator-wizardface (actual for livecd)
# do not add alterator-wizardface, if installed alterator-setup or its forks
exec_chroot rpm -qa | grep -q alterator-setup || 
	list="$list $(exec_chroot rpmquery -a 'alterator-wizardface')"

# Add alerator-luks, if not detected luks partitions
list="$list $(exec_chroot rpmquery -a 'alterator-luks')"

# Add alterator-postinstall if not used
ls $destdir/etc/firsttime.d/ | grep -o '99-z.*postinstall' ||
	list="$list $(exec_chroot rpmquery -a 'alterator-postinstall')"

# Remove them
if [ -n "$list" ]; then
	exec_chroot rpmi -ev -- $list
# and remove all their deps
	[ -f $destdir/usr/bin/apt-get ] && exec_chroot apt-get --assume-yes autoremove
fi
