#!/bin/sh

. install2-init-functions

{

[ -r /usr/share/install2/services-on ] && \
	xargs -i chroot $destdir chkconfig {} on < \
		/usr/share/install2/services-on
[ -r /usr/share/install2/services-off ] && \
	xargs -i chroot $destdir chkconfig {} off < \
		/usr/share/install2/services-off

[ -x $destdir/bin/systemctl ] || exit 0

[ -r /usr/share/install2/systemd-enabled ] && \
	xargs -i chroot $destdir systemctl enable {} < \
		/usr/share/install2/systemd-enabled
[ -r /usr/share/install2/systemd-disabled ] && \
	xargs -i chroot $destdir systemctl disable {} < \
		/usr/share/install2/systemd-disabled

[ -r /usr/share/install2/systemd-masked ] && \
	xargs -i chroot $destdir systemctl mask {} < \
		/usr/share/install2/systemd-masked
[ -r /usr/share/install2/systemd-unmasked ] && \
	xargs -i chroot $destdir systemctl unmask {} < \
		/usr/share/install2/systemd-unmasked

[ -r /usr/share/install2/systemd-user-enabled ] && \
	xargs -i chroot $destdir systemctl --user --global enable {} < \
		/usr/share/install2/systemd-user-enabled
[ -r /usr/share/install2/systemd-user-disabled ] && \
	xargs -i chroot $destdir systemctl --user --global disable {} < \
		/usr/share/install2/systemd-user-disabled


} >> /tmp/install2.log 2>&1

:
