#!/bin/sh -fu

. install2-init-functions

[ -f /tmp/fstab ] || exit 0

for device in $(findmnt -neo SOURCE -F /tmp/fstab);
do
	# filter out non-luks devices
	MAJMIN="$(findmnt $device -rno MAJ:MIN)"
	device_luks="/dev/"$(ls -1 "/sys/dev/block/$MAJMIN/slaves/")
	cryptsetup isLuks "$device_luks" || continue

	# we should add luks feature to initrd if / is placed on luks
	# or create /etc/crypttab otherwise
	if [ "$(findmnt $device -no TARGET -F /tmp/fstab)" = "/" ]; then
		echo 'FEATURES += luks' >> $destdir/etc/initrd.mk
	fi

	luks_uuid=$(blkid -o value -s UUID "$device_luks")

	[ -r "$destdir/etc/crypttab" ] && grep -F "$luks_uuid" "$destdir/etc/crypttab" &> /dev/null && continue

	echo "luks-$luks_uuid	UUID=$luks_uuid	none	luks" >> "/tmp/crypttab"
done
[ -f /tmp/crypttab ] && mv /tmp/crypttab $destdir/etc/ ||:
