#!/bin/sh -efu

. install2-init-functions

xorg_conf=

if [ -f /etc/X11/xorg.conf.d/10-monitor.conf ]; then
	xorg_conf=/etc/X11/xorg.conf.d/10-monitor.conf
elif [ -f /etc/X11/xorg.conf ]; then
	xorg_conf=/etc/X11/xorg.conf
fi

if [ -n "$xorg_conf" ] && grep -q Driver "$xorg_conf"; then
	mkdir -p "$destdir${xorg_conf%/*}"
	cp "$xorg_conf"  "$destdir$xorg_conf" ||:
fi

if [ -d $destdir/lib/systemd/system -a -d $destdir/etc/systemd/system ]; then
	def_target="$(readlink "$destdir/lib/systemd/system/default.target")" ||:
	def_target="${def_target##*/}"
	new_def_target='multi-user.target'
	dms='kdm gdm wdm lxdm lightdm xdm mdm slim sddm'
	for dm in $dms; do
		if run_chroot which "$dm" >/dev/null 2>&1; then
			new_def_target='graphical.target'
			break
		fi
	done
	if [ "$def_target" != "$new_def_target" ]; then
		run_chroot ln -fs /lib/systemd/system/"$new_def_target" /etc/systemd/system/default.target
	fi
fi
