#!/bin/sh -efu

. install2-init-functions

cat >"$destdir/tmp/instkernel" <<'EOF'
#!/bin/sh -efu

# %{version}-%{name}-%{release} is needed for /sbin/installkernel,
# which waiting something like 2.6.27-std-def-alt12

kern_list="$(rpmquery -a --qf='%{version}-%{name}-%{release}\n' 'kernel-image-*' | sort -ru | sed -e 's#kernel-image-##')"

inst_kern="${1-}"
# Ensure that default kernel will be the same as in the installer (it must be last in the list)
if [ -n "$inst_kern" ] && echo "$kern_list" | grep -qs -F -x "$inst_kern"; then
	kern_list="$(printf '%s\n%s\n' "$(echo "$kern_list" | grep -v -F -x "$inst_kern")" "$inst_kern")"
fi

echo "$kern_list" |
	DURING_INSTALL= LOADER=/bin/true xargs -rn1 /sbin/installkernel -n

rm -f /tmp/instkernel
EOF

chmod +x "$destdir/tmp/instkernel"
exec_chroot /tmp/instkernel "$(uname -r)"
