#!/bin/sh -fu

. install2-init-functions

[ -f "$destdir"/etc/sysconfig/grub2 ] || exit 0

new_args=

for p in $(cat /proc/cmdline); do
	case "$p" in
		# ACPI/APM
		acpi=*|noapic|acpi_*|nolapic*|lapic*|no_timer_check|pnpacpi=*|apm=*) ;;
		# [LIBATA] DMA control
		libata.*) ;;
		# [MOUSE]
		mousedev.*) ;;
		# [HW] (E)IDE subsystem
		# See Documentation/ide.txt
		ide=*|idebus=*) ;;
		# [BUGS=X86-32]
		mem=*|nmi_watchdog=*|no387|notsc) ;;
		# [PCI] various PCI subsystem options
		pci=*) ;;
		# Misc
		idle=*|irqfixup|irqpoll|clocksource=*|console=*|splash=*|quiet*) ;;
		# disable usb autosuspend
		usbcore.autosuspend=-1) ;;
		# disable modesetting
		nomodeset|*.modeset=0) ;;
		# blacklist kernel module
		module_blacklist=*) ;;
		*) continue ;;
	esac
	new_args="$new_args $p"
done

[ -z "$new_args" ] || subst "s|^GRUB_CMDLINE_LINUX_DEFAULT='|&$new_args |" "$destdir"/etc/sysconfig/grub2 ||:

:
