#!/bin/sh -efu

. install2-init-functions

[ -b "$CDROMDEV" ] || exit 0

# do nothing if /dev/loop0 is not linked with $image_dir/$stagename,
# since in this case it will not interfere with unmount $image_dir.
losetup /dev/loop0 | grep -q "$image_dir/$stagename" || exit 0

loop_change_fd()
{
	losetup-move /dev/loop0 "$1"
	umount "$image_dir"
	rm -f "$1"
}

make_sparse()
{
	size="$(stat -c '%s' "$image_dir/$stagename")"
	dd if=/dev/zero of=/mnt/altinst bs=1 count=1 seek="$((size - 1))"
}

fs="$(find-free-partition)"

if [ -n "$fs" ]; then
	cp "$image_dir/$stagename" "$fs/$stagename"
	make_sparse
	loop_change_fd "$fs/$stagename"
fi
